Bug 866526 - component name is wrongly parsed if sourcerpm name contains "-"
component name is wrongly parsed if sourcerpm name contains "-"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-meh (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 10:52 EDT by Jakub Filak
Modified: 2016-11-30 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-16 02:40:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a proposed patch (1.02 KB, patch)
2012-10-15 10:52 EDT, Jakub Filak
no flags Details | Diff

  None (edit)
Description Jakub Filak 2012-10-15 10:52:50 EDT
Created attachment 627505 [details]
a proposed patch

Description of problem:
python-meh wrongly parses component name from sourcerpm name

Version-Release number of selected component (if applicable):
python-meh-0.12-1.fc17.noarch

How reproducible:
always

Steps to Reproduce:
1. raise an exception from system-config-kickstart
  
Actual results:
component = system

Expected results:
component = system-config-kickstart
Comment 1 Fedora Update System 2012-10-25 07:01:23 EDT
python-meh-0.18-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-meh-0.18-1.fc18
Comment 2 Fedora Update System 2012-10-26 15:31:54 EDT
Package python-meh-0.18-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-meh-0.18-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16873/python-meh-0.18-1.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-10-30 08:37:11 EDT
python-meh-0.12.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-meh-0.12.1-1.fc17
Comment 4 Fedora Update System 2012-11-16 02:40:30 EST
python-meh-0.12.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.